Bug 133411 - ggv defaults to /usr/bin/lpr for printing
ggv defaults to /usr/bin/lpr for printing
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ggv (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-23 16:12 EDT by Jack Neely
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-27 13:34:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to correct the ggv schema for finding lpr in the path (400 bytes, patch)
2004-10-15 14:47 EDT, Jack Neely
no flags Details | Diff

  None (edit)
Description Jack Neely 2004-09-23 16:12:44 EDT
Description of problem:

GGV default to piping print jobs to '/usr/bin/lpr'.  Most other
applications normally print to 'lpr' and let the $PATH variable locate
the proper binary.  I would consider the latter the proper behavior. 
This is useful as I need to override cups with lprng in /usr/local/bin.
Comment 1 Jack Neely 2004-10-15 14:47:59 EDT
Created attachment 105294 [details]
Patch to correct the ggv schema for finding lpr in the path

Patch by Gary Gatling so that ggv uses the 'lpr' command in the path rather
than /usr/bin/lpr
Comment 2 Dan Williams 2004-11-17 13:24:11 EST
Mass reassign to Marco.
Comment 3 Ray Strode [halfline] 2005-09-27 13:34:40 EDT
Hi Jack,

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects.

This particular change has the potential to break existing deployments of Red
Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.